Package org.jboss.logmanager.handlers

# Enum SyslogHandler.SyslogType

java.lang.Object
java.lang.Enum<SyslogHandler.SyslogType>
org.jboss.logmanager.handlers.SyslogHandler.SyslogType

All Implemented Interfaces:
  `Serializable`, `Comparable<SyslogHandler.SyslogType>`, `java.lang.constant.Constable`

Enclosing class:
  `SyslogHandler`

public static enum SyslogHandler.SyslogType extends Enum<SyslogHandler.SyslogType>
The syslog type used for formatting the message.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RFC3164`
Formats the message according the the RFC-3164 specification (http://tools.ietf.org/html/rfc3164#section-4.1
`RFC5424`
Formats the message according the the RFC-5424 specification (http://tools.ietf.org/html/rfc5424#section-6

## Method Summary

Modifier and Type
Method
Description
`static SyslogHandler.SyslogType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.SyslogType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RFC5424

public static final SyslogHandler.SyslogType RFC5424
Formats the message according the the RFC-5424 specification (http://tools.ietf.org/html/rfc5424#section-6

### RFC3164

public static final SyslogHandler.SyslogType RFC3164
Formats the message according the the RFC-3164 specification (http://tools.ietf.org/html/rfc3164#section-4.1

## Method Details

### values

public static SyslogHandler.SyslogType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SyslogHandler.SyslogType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null